package com.clx.performance.controller.largescreen;

import cn.hutool.json.JSON;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.clx.performance.service.OrderChildService;
import com.clx.user.feign.DriverFeign;
import com.clx.user.feign.UserClxFeign;
import com.clx.user.vo.pc.driver.truck.DriverTruckVo;
import com.msl.common.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @ClassName GoodsOrderController
 * @Description
 * @Author kavin
 * @Date 2023/9/17 17:16
 * @Version 1.0
 */

@Slf4j
@RestController
@RequestMapping("/pc/largescreen")
@Validated
@AllArgsConstructor
@Api(tags = "PC-大屏")
public class LargeScreenController {

    private final DriverFeign driverFeign;

    private final OrderChildService orderChildService;


    @ApiOperation(value = "空车列表", notes = "<br>By:胡宇帆")
    @GetMapping("/emptyCarList")
    public String emptyCarList() {
        List<String> data = driverFeign.driverTruckList().getData();
        return JSONUtil.toJsonStr(orderChildService.emptyCarList(data));
    }

    @ApiOperation(value = "重车列表", notes = "<br>By:胡宇帆")
    @GetMapping("/weightCarList")
    public String weightCarList() {
        List<String> data = driverFeign.driverTruckList().getData();
        return JSONUtil.toJsonStr(orderChildService.weightCarList(data));
    }

}
